Class Fox::FXComposite

In: | FXComposite.rb
Parent: | FXWindow

Base composite

### Events

The following messages are sent from FXComposite to its target:

`SEL_KEYPRESS`: | sent when a key goes down, but only if there is no other widget with the focus (or if the focused widget doesn’t handle this keypress). The message data is an FXEvent instance.
`SEL_KEYRELEASE`: | sent when a key goes up, but only if there is no other widget with the focus (or if the focused widget doesn’t handle this key release). The message data is an FXEvent instance.

Methods

maxChildHeight maxChildWidth new

Public Class methods

new(parent, opts=0, x=0, y=0, width=0, height=0) {|theComposite| ...}

Constructor

Public Instance methods

maxChildWidth()

Return the width of the widest child window.

maxChildHeight()

Return the height of the tallest child window.